Subject: Re: WIP Droid 4 voice calls, GNSS & PM with a TS 27.010 serdev driver

From: Pavel Machek <[email-masked]>
Date: Thu, 17 Jan 2019 13:51:28 +0100

Hi!

> > "quite trivial" does not mix with ofono. I did parts and it is still
> > not finished. At the moment, I do not have enough working SIM cards to
> > test everything. Feel free to help :-).
> 
> I gave it a try but could only see "ofonod[14012]: motmdm init"
> on start up. Running test/list-modems shows only /stktest
> and no motmdm..
> 
> Do I need to configure something in /etc/ofono?

No, that should not be needed. But you need this:

user@devuan:~$ cat /etc/udev/rules.d/55-modem.rules
KERNEL=="ttyUSB4", ENV{OFONO_DRIVER}="g1"

KERNEL=="motmdm1", ENV{OFONO_DRIVER}="motmdm"

(different devices for different branches of ofono), and it is useful
to run ofono like this:

sudo OFONO_AT_DEBUG=1 src/ofonod -d -n -p motmdm,udevng,atmodem,motorolamodem

...to get right kind of debugging.

You then want to run enable-modem . online-modem is NOP, afaict.

Best regards,
									Pavel
-- 
(english) http://www.livejournal.com/~pavelmachek
(cesky, pictures) http://atrey.karlin.mff.cuni.cz/~pavel/picture/horses/blog.html
_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel